---
title: "List entity follow requests"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/follow-requests`

## Path parameters

- `entityId` (`startup-list-entity-follow-requests.path.entityId`; string, required)
  - format `uuid`

## Query parameters

- `status` (`startup-list-entity-follow-requests.query.status`; string, optional)
  - one of `"pending"`, `"approved"`, `"rejected"`, `"cancelled"`
- `limit` (`startup-list-entity-follow-requests.query.limit`; number, optional)
  - min 1; max 100; default `50`
- `offset` (`startup-list-entity-follow-requests.query.offset`; number, optional)
  - min 0; default `0`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/follow-requests'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/follow-requests';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/follow-requests"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "requestedBy": "string",
      "requesterEntityId": "af12adbd-3666-4602-844a-00328f5c0509",
      "status": "pending",
      "requestNote": "string",
      "reason": "string",
      "requestedTier": "follower",
      "desiredObservation": "string",
      "requestedDurationDays": 1,
      "reviewDecision": "accepted",
      "grantedTier": "follower",
      "accessTier": "follower",
      "grantedDurationDays": 1,
      "relationshipId": "928dd5b8-3ead-4528-bdef-9c0b867a5d7d",
      "accessExpiresAt": "2019-08-24T14:15:22Z",
      "renewalCount": 0,
      "lastRenewedAt": "2019-08-24T14:15:22Z",
      "reviewedBy": "string",
      "reviewedAt": "2019-08-24T14:15:22Z",
      "reviewNotes": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "requester": {
        "id": "string",
        "name": "string",
        "email": "user@example.com",
        "company": "string",
        "title": "string",
        "avatar": "string"
      },
      "requesterEntity": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string",
        "logoUrl": "string"
      }
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`startup-list-entity-follow-requests.response.200.data`; array<object>, required)
  - `id` (`startup-list-entity-follow-requests.response.200.data.id`; string, required)
    - format `uuid`
  - `entityId` (`startup-list-entity-follow-requests.response.200.data.entityId`; string, required)
    - format `uuid`
  - `requestedBy` (`startup-list-entity-follow-requests.response.200.data.requestedBy`; string, required)
  - `requesterEntityId` (`startup-list-entity-follow-requests.response.200.data.requesterEntityId`; string, required, nullable)
    - format `uuid`
  - `status` (`startup-list-entity-follow-requests.response.200.data.status`; string, required)
    - one of `"pending"`, `"provisioning"`, `"approved"`, `"paused"`, `"expired"`, `"failed"`, `"rejected"`, `"cancelled"`
  - `requestNote` (`startup-list-entity-follow-requests.response.200.data.requestNote`; string, required, nullable)
  - `reason` (`startup-list-entity-follow-requests.response.200.data.reason`; string, required, nullable)
  - `requestedTier` (`startup-list-entity-follow-requests.response.200.data.requestedTier`; string, required, nullable)
    - one of `"follower"`, `"capital"`, `"diligence"`, `"custom"`
  - `desiredObservation` (`startup-list-entity-follow-requests.response.200.data.desiredObservation`; string, required, nullable)
  - `requestedDurationDays` (`startup-list-entity-follow-requests.response.200.data.requestedDurationDays`; integer, required, nullable)
    - min 1; max 365
  - `reviewDecision` (`startup-list-entity-follow-requests.response.200.data.reviewDecision`; string, required, nullable)
    - one of `"accepted"`, `"narrowed"`, `"declined"`
  - `grantedTier` (`startup-list-entity-follow-requests.response.200.data.grantedTier`; string, required, nullable)
    - one of `"follower"`, `"capital"`, `"diligence"`, `"custom"`
  - `grantedDurationDays` (`startup-list-entity-follow-requests.response.200.data.grantedDurationDays`; integer, required, nullable)
    - min 1; max 365
  - `relationshipId` (`startup-list-entity-follow-requests.response.200.data.relationshipId`; string, required, nullable)
    - format `uuid`
  - `accessExpiresAt` (`startup-list-entity-follow-requests.response.200.data.accessExpiresAt`; string, required, nullable)
    - format `date-time`
  - `renewalCount` (`startup-list-entity-follow-requests.response.200.data.renewalCount`; integer, required)
    - min 0
  - `lastRenewedAt` (`startup-list-entity-follow-requests.response.200.data.lastRenewedAt`; string, required, nullable)
    - format `date-time`
  - `reviewedBy` (`startup-list-entity-follow-requests.response.200.data.reviewedBy`; string, required, nullable)
  - `reviewedAt` (`startup-list-entity-follow-requests.response.200.data.reviewedAt`; string, required, nullable)
    - format `date-time`
  - `reviewNotes` (`startup-list-entity-follow-requests.response.200.data.reviewNotes`; string, required, nullable)
  - `createdAt` (`startup-list-entity-follow-requests.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`startup-list-entity-follow-requests.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `requester` (`startup-list-entity-follow-requests.response.200.data.requester`; object, required)
    - `id` (`startup-list-entity-follow-requests.response.200.data.requester.id`; string, required)
    - `name` (`startup-list-entity-follow-requests.response.200.data.requester.name`; string, required)
    - `email` (`startup-list-entity-follow-requests.response.200.data.requester.email`; string, required, nullable)
      - format `email`
    - `company` (`startup-list-entity-follow-requests.response.200.data.requester.company`; string, required, nullable)
    - `title` (`startup-list-entity-follow-requests.response.200.data.requester.title`; string, required, nullable)
    - `avatar` (`startup-list-entity-follow-requests.response.200.data.requester.avatar`; string, required, nullable)
  - `requesterEntity` (`startup-list-entity-follow-requests.response.200.data.requesterEntity`; object, required, nullable)
    - `id` (`startup-list-entity-follow-requests.response.200.data.requesterEntity.id`; string, required)
      - format `uuid`
    - `name` (`startup-list-entity-follow-requests.response.200.data.requesterEntity.name`; string, required)
    - `slug` (`startup-list-entity-follow-requests.response.200.data.requesterEntity.slug`; string, required, nullable)
    - `logoUrl` (`startup-list-entity-follow-requests.response.200.data.requesterEntity.logoUrl`; string, required, nullable)
  - `accessTier` (`startup-list-entity-follow-requests.response.200.data.accessTier`; string, optional, nullable)
    - one of `"follower"`, `"capital"`, `"diligence"`, `"custom"`; default `null`
- `meta` (`startup-list-entity-follow-requests.response.200.meta`; object, required)
  - `total` (`startup-list-entity-follow-requests.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`startup-list-entity-follow-requests.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`startup-list-entity-follow-requests.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`startup-list-entity-follow-requests.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`startup-list-entity-follow-requests.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`startup-list-entity-follow-requests.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-entity-follow-requests.response.400.error`; object, required)
  - `code` (`startup-list-entity-follow-requests.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-entity-follow-requests.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-entity-follow-requests.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-entity-follow-requests.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-entity-follow-requests.response.401.error`; object, required)
  - `code` (`startup-list-entity-follow-requests.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-entity-follow-requests.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-entity-follow-requests.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-entity-follow-requests.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-entity-follow-requests.response.403.error`; object, required)
  - `code` (`startup-list-entity-follow-requests.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-entity-follow-requests.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-entity-follow-requests.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-entity-follow-requests.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-entity-follow-requests.response.404.error`; object, required)
  - `code` (`startup-list-entity-follow-requests.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-entity-follow-requests.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-entity-follow-requests.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-entity-follow-requests.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-entity-follow-requests.response.409.error`; object, required)
  - `code` (`startup-list-entity-follow-requests.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-entity-follow-requests.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-entity-follow-requests.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-entity-follow-requests.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-entity-follow-requests.response.500.error`; object, required)
  - `code` (`startup-list-entity-follow-requests.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-entity-follow-requests.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-entity-follow-requests.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-entity-follow-requests.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`startup-list-entity-follow-requests.response.503.error`; object, required)
  - `code` (`startup-list-entity-follow-requests.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`startup-list-entity-follow-requests.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`startup-list-entity-follow-requests.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`startup-list-entity-follow-requests.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/startup-list-entity-follow-requests/index.md
